import {
	DominionCard,
	TYPE_ACTION,
	TYPE_REACTION,
	TYPE_TREASURE,
} from "./types.ts";

export const sampleCard1: DominionCard = {
	orientation: "card",
	title: "Title",
	description:
		"+1 Action\n\nReveal the top card of your deck. If it's an Action card, +1 Action.",
	types: [TYPE_ACTION, TYPE_REACTION],
	image: "https://wiki.dominionstrategy.com/images/7/76/AdventurerArt.jpg",
	artist: "Dall-E",
	author: "John Doe",
	version: "",
	cost: "@8",
	preview: "",
};

export const sampleCard2: DominionCard = {
	orientation: "card",
	title: "Market",
	description: "+1 Card\n+1 Action\n+1 Buy\n+$1",
	types: [TYPE_ACTION],
	image: "",
	artist: "Leonardo DaVinci",
	author: "Jane Smith",
	version: "",
	cost: "$4",
	preview: "",
};

export const sampleCard3: DominionCard = {
	orientation: "card",
	title: "Flask",
	description:
		"+2 Cards\n\nAt the start of your Clean-up phase, you may put a card from your hand onto your deck.",
	types: [TYPE_TREASURE],
	image: "",
	artist: "",
	author: "",
	version: "",
	cost: "$6",
	preview: "",
};
